[Swift-commit] r3583 - trunk/tests

noreply at svn.ci.uchicago.edu noreply at svn.ci.uchicago.edu
Mon Aug 30 13:23:36 CDT 2010


Author: wozniak
Date: 2010-08-30 13:23:36 -0500 (Mon, 30 Aug 2010)
New Revision: 3583

Modified:
   trunk/tests/nightly.sh
Log:
Enable custom-per-GROUP sites.xml files
Also, always transfer wrapper log and
get hostname for Coasters


Modified: trunk/tests/nightly.sh
===================================================================
--- trunk/tests/nightly.sh	2010-08-30 18:06:16 UTC (rev 3582)
+++ trunk/tests/nightly.sh	2010-08-30 18:23:36 UTC (rev 3583)
@@ -551,7 +551,8 @@
   CDM=
   [ -r fs.data ] && CDM="-cdm.file fs.data"
 
-  monitored_exec swift -config swift.properties \
+  monitored_exec swift -wrapperlog.always.transfer true \
+                       -config swift.properties \
                        -sites.file sites.xml \
                        -tc.file tc.data \
                        $CDM $SWIFTSCRIPT
@@ -596,6 +597,19 @@
   out package "swift-$DATE.tar.gz"
 }
 
+GLOBUS_HOSTNAME=$( ifconfig | grep inet | head -1 | cut -d ':' -f 2 | \
+                   awk '{print $1}' )
+group_sites_xml() {
+  TEMPLATE=$GROUP/sites.template.xml
+  if [ -f $TEMPLATE ]; then
+    sed "s at _WORK_@$PWD/work@;s at _HOST_@$GLOBUS_HOSTNAME@" < $TEMPLATE > sites.xml
+    [ $? != 0 ] && crash "Could not create sites.xml!"
+  else
+    sed "s at _WORK_@$PWD/work@" < $TESTDIR/sites/localhost.xml > sites.xml
+    [ $? != 0 ] && crash "Could not create sites.xml!"
+  fi
+}
+
 group_tc_data() {
   if [ -f $GROUP/tc.template.data ]; then
     sed "s at _DIR_@$GROUP@" < $GROUP/tc.template.data > tc.data
@@ -635,6 +649,7 @@
 
 test_group() {
 
+  group_sites_xml
   group_tc_data
   group_fs_data
   group_swift_properties
@@ -710,14 +725,14 @@
 fi
 
 TESTDIR=$TOPDIR/cog/modules/swift/tests
-sed "s at _WORK_@$PWD/work@" < $TESTDIR/sites/localhost.xml > sites.xml
 
 SKIP_COUNTER=0
 
 GROUPLIST=( $TESTDIR/language/working \
             $TESTDIR/local \
             $TESTDIR/language/should-not-work \
-            $TESTDIR/cdm )
+            $TESTDIR/cdm \
+            $TESTDIR/cdm-ps )
 
 echo ${GROUPLIST[@]}
 




More information about the Swift-commit mailing list